.. AUTO-GENERATED FILE. DO NOT EDIT. post-entity-ingredients-create ============================== Source ------ - Repository: ``jef-systems/jef-caferimo-backend`` - Module: ``caferimo`` - Documentation Scope: ``async`` - Lambda: ``jef-caferimo-post-2`` Endpoint -------- - API Name: ``jef-caferimo`` - Action Name: ``post`` - Method: ``POST`` - Scope Label: ``Async`` - Resource Path: ``/post-entity-ingredients-create`` - Complete Endpoint: ``https://lfyr4e0eqe.execute-api.ap-southeast-1.amazonaws.com/prod/post-entity-ingredients-create`` - Lambda ARN: ``arn:aws:lambda:ap-southeast-1:246715082475:function:jef-caferimo-post-2`` - curl payload mode: ``json_body`` API Gateway Description ----------------------- .. code-block:: text Function: jef-caferimo-post-2 API Name: jef-caferimo Action: post Method: POST Resource Path: /post-entity-ingredients-create Payload: - entity_number: string-4-digits-nonzerostart - jsin: string - barcode: string - product_name: string - product_unit: string - active: boolean - on_hand_quantity: number-two-decimals - reorder_level: number-two-decimals-optional - unit_cost: number-decimal-optional - notes: string-optional Response: - exists: boolean - message: string - item: {"pk":"string-{entity_number}#{jsin}","gsi_1_pk":"string-{entity_number}#{active}","gsi_1_sk":"string-product_name","entity_number":"string-4-digits-nonzerostart","jsin":"string","barcode":"string","product_name":"string","product_unit":"string","active":"boolean","on_hand_quantity":"number-two-decimals","reorder_level":"number-two-decimals-optional","unit_cost":"number-decimal-optional","notes":"string-optional","updated_at":"string-iso8601"} Request Payload --------------- .. code-block:: json { "entity_number": "string-4-digits-nonzerostart", "jsin": "string", "barcode": "string", "product_name": "string", "product_unit": "string", "active": "boolean", "on_hand_quantity": "number-two-decimals", "reorder_level": "number-two-decimals-optional", "unit_cost": "number-decimal-optional", "notes": "string-optional" } Response -------- .. code-block:: json { "exists": "boolean", "message": "string", "item": "{\"pk\":\"string-{entity_number}#{jsin}\",\"gsi_1_pk\":\"string-{entity_number}#{active}\",\"gsi_1_sk\":\"string-product_name\",\"entity_number\":\"string-4-digits-nonzerostart\",\"jsin\":\"string\",\"barcode\":\"string\",\"product_name\":\"string\",\"product_unit\":\"string\",\"active\":\"boolean\",\"on_hand_quantity\":\"number-two-decimals\",\"reorder_level\":\"number-two-decimals-optional\",\"unit_cost\":\"number-decimal-optional\",\"notes\":\"string-optional\",\"updated_at\":\"string-iso8601\"}" } CMD curl -------- .. code-block:: text curl -X POST "https://lfyr4e0eqe.execute-api.ap-southeast-1.amazonaws.com/prod/post-entity-ingredients-create" -H "Content-Type: application/json" --data-raw "{\"entity_number\": \"string-4-digits-nonzerostart\", \"jsin\": \"string\", \"barcode\": \"string\", \"product_name\": \"string\", \"product_unit\": \"string\", \"active\": \"boolean\", \"on_hand_quantity\": \"number-two-decimals\", \"reorder_level\": \"number-two-decimals-optional\", \"unit_cost\": \"number-decimal-optional\", \"notes\": \"string-optional\"}" PowerShell curl --------------- .. code-block:: text curl.exe -X POST "https://lfyr4e0eqe.execute-api.ap-southeast-1.amazonaws.com/prod/post-entity-ingredients-create" -H "Content-Type: application/json" --data-raw '{"entity_number": "string-4-digits-nonzerostart", "jsin": "string", "barcode": "string", "product_name": "string", "product_unit": "string", "active": "boolean", "on_hand_quantity": "number-two-decimals", "reorder_level": "number-two-decimals-optional", "unit_cost": "number-decimal-optional", "notes": "string-optional"}'